### Method

# GLib Variant get_type_string

since: 2.24

#### Declaration

    const gchar*
    g_variant_get_type_string (
      GVariant* value
    )

#### Description

Returns the type string of `value`. Unlike the result of calling g_variant_type_peek_string(), this string is nul-terminated. This string belongs to `GVariant` and must not be freed.

Available since: 2.24

#### Return value

Type: `const gchar*`

The type string for the type of `value`.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.